PETSc version 3.15.5
Fix/Edit manual page

# TSGetStepRejections

Gets the total number of rejected steps.

### Synopsis

    #include "petscts.h"
    PetscErrorCode TSGetStepRejections(TS ts,PetscInt *rejects)

Not Collective

### Input Parameter

| ts | - TS context

### Output Parameter

| rejects | - number of steps rejected

### Notes

This counter is reset to zero for each successive call to TSSolve().

### See Also

TSGetSNESIterations(), TSGetKSPIterations(), TSSetMaxStepRejections(), TSGetSNESFailures(), TSSetMaxSNESFailures(), TSSetErrorIfStepFails()

### Level

intermediate

### Location

src/ts/interface/ts.c

### Examples

src/ts/tutorials/ex8.c.html
Index of all TS routines
Table of Contents for all manual pages
Index of all manual pages